# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_HArray1OfHArray1OfReal Class Reference

`#include <PDataStd_HArray1OfHArray1OfReal.hxx>`

## Public Member Functions

Standard_EXPORT | PDataStd_HArray1OfHArray1OfReal (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PDataStd_HArray1OfHArray1OfReal (const Standard_Integer Low, const Standard_Integer Up, const Handle(PColStd_HArray1OfReal)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PColStd_HArray1OfReal)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PColStd_HArray1OfReal | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PDataStd_HArray1OfHArray1OfReal ()
| PDataStd_HArray1OfHArray1OfReal (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfHArray1OfRealLowerBound () const
void | _CSFDB_SetPDataStd_HArray1OfHArray1OfRealLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfHArray1OfRealUpperBound () const
void | _CSFDB_SetPDataStd_HArray1OfHArray1OfRealUpperBound (const Standard_Integer p)
const PDataStd_FieldOfHArray1OfHArray1OfReal & | _CSFDB_GetPDataStd_HArray1OfHArray1OfRealData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfReal | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PDataStd_FieldOfHArray1OfHArray1OfReal | Data

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PColStd_HArray1OfReal)& | V
| ) |

PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( |  | ) | `[inline]`

PDataStd_HArray1OfHArray1OfReal::PDataStd_HArray1OfHArray1OfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PDataStd_FieldOfHArray1OfHArray1OfReal& PDataStd_HArray1OfHArray1OfReal::_CSFDB_GetPDataStd_HArray1OfHArray1OfRealData | ( |  | ) | const`[inline]`

Standard_Integer PDataStd_HArray1OfHArray1OfReal::_CSFDB_GetPDataStd_HArray1OfHArray1OfRealLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PDataStd_HArray1OfHArray1OfReal::_CSFDB_GetPDataStd_HArray1OfHArray1OfRealUpperBound | ( |  | ) | const`[inline]`

void PDataStd_HArray1OfHArray1OfReal::_CSFDB_SetPDataStd_HArray1OfHArray1OfRealLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PDataStd_HArray1OfHArray1OfReal::_CSFDB_SetPDataStd_HArray1OfHArray1OfRealUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PDataStd_HArray1OfHArray1OfReal::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfReal PDataStd_HArray1OfHArray1OfReal::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PDataStd_HArray1OfHArray1OfReal::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PDataStd_HArray1OfHArray1OfReal::Length | ( |  | ) | const

Standard_Integer PDataStd_HArray1OfHArray1OfReal::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_HArray1OfHArray1OfReal::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PColStd_HArray1OfReal)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PDataStd_HArray1OfHArray1OfReal::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PDataStd_HArray1OfHArray1OfReal::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PDataStd_HArray1OfHArray1OfReal::Upper | ( |  | ) | const

Standard_EXPORT Handle_PColStd_HArray1OfReal PDataStd_HArray1OfHArray1OfReal::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PDataStd_FieldOfHArray1OfHArray1OfReal PDataStd_HArray1OfHArray1OfReal::Data `[private]`

Standard_Integer PDataStd_HArray1OfHArray1OfReal::LowerBound `[private]`

Standard_Integer PDataStd_HArray1OfHArray1OfReal::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PDataStd_HArray1OfHArray1OfReal.hxx